# Uses of Class
org.jfree.chart3d.data.Dataset3DChangeEvent

Packages that use Dataset3DChangeEvent
Package
Description
org.jfree.chart3d.data
Core data structures used as the building blocks for datasets in Orson Charts.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of Dataset3DChangeEvent in org.jfree.chart3d.data

Methods in org.jfree.chart3d.data with parameters of type Dataset3DChangeEvent
Modifier and Type
Method
Description
`void`
Dataset3DChangeListener.`datasetChanged(Dataset3DChangeEvent event)`
Called to notify the listener that the source dataset has been changed.
`protected void`
AbstractDataset3D.`notifyListeners(Dataset3DChangeEvent event)`
Notifies all registered listeners that the dataset has changed, unless the `notify` flag is set to `false` in which case this method does nothing.

## Uses of Dataset3DChangeEvent in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot with parameters of type Dataset3DChangeEvent
Modifier and Type
Method
Description
`void`
AbstractPlot3D.`datasetChanged(Dataset3DChangeEvent event)`
Receives notification of a dataset change, and passes this event on wrapped in a `Plot3DChangeEvent`.
`void`
CategoryPlot3D.`datasetChanged(Dataset3DChangeEvent event)`
Receives notification of a change to the dataset and handles this by adjusting the plot dimensions (according to the setting of the `autoAdjustDimensions` flag), reconfiguring the axes, and propagating a `Plot3DChangeEvent`.
`void`
XYZPlot.`datasetChanged(Dataset3DChangeEvent event)`
Receives notification that the plot's dataset has changed, and responds by passing on a `Plot3DChangeEvent` to the plot's registered listeners (with the default set-up, this notifies the chart).